Bug 1301818 - (CVE-2016-1930) CVE-2016-1930 Mozilla: Miscellaneous memory safety hazards (rv:38.6) (MFSA 2016-01)
CVE-2016-1930 Mozilla: Miscellaneous memory safety hazards (rv:38.6) (MFSA 20...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20160126,repor...
: Security
Depends On:
Blocks: 1300522
  Show dependency treegraph
 
Reported: 2016-01-25 23:00 EST by Huzaifa S. Sidhpurwala
Modified: 2016-02-18 22:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 22:54:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2016-01-25 23:00:02 EST
Mozilla developers and community identified and fixed several memory safety bugs in the browser engine used in Firefox and other Mozilla-based products. Some of these bugs showed evidence of memory corruption under certain circumstances, and we presume that with enough effort at least some of these could be exploited to run arbitrary code.

In general these flaws cannot be exploited through email in the Thunderbird product because scripting is disabled, but are potentially a risk in browser or browser-like contexts.

Bob Clary, Christian Holler, Nils Ohlmeier, Gary Kwong, Jesse Ruderman, Carsten Book, and Randell Jesup reported memory safety problems and crashes that affect Firefox ESR 38.5 and Firefox 43.


External Reference:

https://www.mozilla.org/security/announce/2016/mfsa2016-01.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Bob Clary, Christian Holler, Nils Ohlmeier, Gary Kwong, Jesse Ruderman, Carsten Book, and Randell Jesup as the original reporters.
Comment 1 Tomas Hoger 2016-01-26 15:08:59 EST
Public now via upstream advisory MFSA 2016-01.
Comment 2 errata-xmlrpc 2016-01-26 23:24:11 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2016:0071 https://rhn.redhat.com/errata/RHSA-2016-0071.html
Comment 3 errata-xmlrpc 2016-02-18 10:25:20 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2016:0258 https://rhn.redhat.com/errata/RHSA-2016-0258.html

Note You need to log in before you can comment on or make changes to this bug.